Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Avidemux Great Video editing/encoding tool
Name:		avidemux
Version:	2.5.2
Release:	1
BuildArch:	i686
Group:		Multimedia/Video
License:	GNU/GPL
Source:		%{name}_%{version}.tar.gz
Source200:	avidemux.desktop
BuildRequires: liba52-devel
BuildRequires: libmad-devel
BuildRequires: nasm
BuildRequires: libogg-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: ffmpeg-devel
BuildRequires: xulrunner-devel
BuildRequires: DirectFB-devel
BuildRequires: sysfsutils-devel

#Automatically resolved build dependencies
BuildRequires: aften-devel
BuildRequires: alsa-lib-devel
BuildRequires: amrnb-devel
BuildRequires: arts-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: esound-libs-devel
BuildRequires: faac-devel
BuildRequires: faad2-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: lame-devel
BuildRequires: libdts-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libxml2-devel
BuildRequires: libXv-devel
BuildRequires: pango-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: qt4-devel
BuildRequires: SDL-devel
BuildRequires: x264-devel
BuildRequires: xvidcore-devel
BuildRequires: zlib-devel

%description
Avidemux is a graphical tool to edit AVI. It allows you to multiplex and
demultiplex audio to/from video.

It is able to cut video, import BMP, MJPEG and MPEG video, and encode them.
You can also process video with included filters. It requires a DivX
compatible encoder and the Gimp Toolkit (GTK) libraries.

%prep
%setup -q -n %{name}_%{version}

sed -i 's,Dir="lib",Dir="%{_lib}",' avidemux/main.cpp avidemux/ADM_core/src/ADM_fileio.cpp
grep -q '"%{_lib}"' avidemux/main.cpp
grep -q '"%{_lib}"' avidemux/ADM_core/src/ADM_fileio.cpp


%build
mkdir build
pushd build
cmake .. -DCMAKE_INSTALL_PREFIX:STRING="%_prefix"
make %{?_smp_mflags}

mkdir -p lib
cd lib
find ../avidemux -name '*.so*' | xargs ln -sft . 
mkdir ../../plugins/build
cd ../../plugins/build
%cmake .. -DAVIDEMUX_SOURCE_DIR=$RPM_BUILD_DIR/%{name}_%{version} -DAVIDEMUX_CORECONFIG_DIR=$RPM_BUILD_DIR/%{name}_%{version}/build/config -DAVIDEMUX_INSTALL_PREFIX=%_builddir/%{name}_%{version}/build
make

# Note: sometimes build failed - clear ccache cache (ccache -C)
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

cd plugins/build
make install DESTDIR=$RPM_BUILD_ROOT
cd ../..


mkdir -p $RPM_BUILD_ROOT%_pixmaps
install -m 644 %{name}_icon.png $RPM_BUILD_ROOT%_pixmaps/%{name}.png
mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 %{SOURCE200} $RPM_BUILD_ROOT%_applications/
ln -s %{name}2_gtk $RPM_BUILD_ROOT%_bindir/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/avidemux2_cli
%_bindir/avidemux2_gtk
%_bindir/avidemux
%_pixmaps/avidemux.png
%_applications/avidemux.desktop
%_datadir/locale
%_bindir/avidemux2_qt4
%exclude %_bindir/i18n
%_datadir/ADM_scripts/
%_libdir/libADM*
%_libdir/ADM_plugins/

%changelog
* Sun Dec 20 2009 Christian Metzen <metzench@ccux-linux.de> 2.5.2-1
- Version update
* Sat Dec 19 2009 Christian Metzen <metzench@ccux-linux.de> 2.5.1-2
- fix build of plugins
* Sat Dec 19 2009 Christian Metzen <metzench@ccux-linux.de> 2.5.1-1
- Version update
* Wed May 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.4.4-2
- rebuild against newer version of x264
* Tue Feb 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.4.4-1
- Version update
* Mon Feb 02 2009 Christian Metzen <metzench@ccux-linux.de> 2.4.3-1
- Version update
* Tue Jul 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.2-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.4s-1
- Version Update to final version (aka stable)
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.4p2-2
- Version update to SVN Revision 3681
- rebuild against new x264-20071104
* Thu Oct 25 2007 Christian Metzen <metzench@ccux-linux.de> 2.4p2-1
- Version update to 2.4 preview2
* Mon Jan 15 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-5
- Version Update to SVN Revision 2736
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-4
- Version Update to SVN Revision 2604
* Sat Nov 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-3
- Version Update to SVN Revision 2544
* Wed Sep 13 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-2
- Version Update to SVN Revision 2408
* Sun Aug 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-1
- Version Update to SVN Revision 2352
* Wed Mar 08 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.1.2-1
- Version Update
* Thu Jan 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.1.0-1
- Initial Release
